/**
  * MyRectangle.java
  * rappresenta un rettangolo.
  * @author A. Luchetta
  * @version 18-Nov-2006
  */
public class MyRectangle extends MyTetragon
{
   /**
      costruttore
      @param p array contenente i vertici del rettangolo
   */
   public MyRectangle(MyPoint2D[] p)
   {
      super(p);
   }

   /**
      costruttore
      @param p1 primo vertice del rettangolo
      @param p2 secondo vertice del rettangolo
      @param p3 terzo vertice del rettangolo
      @param p4 quarto vertice del rettangolo
      @throws java.lang.IllegalArgumentException se il quadrilatero non e' un rettangolo
   */
   public MyRectangle(MyPoint2D p1, MyPoint2D p2, MyPoint2D p3, MyPoint2D p4)
   {
      super(p1, p2, p3, p4);

      if (!isRectangle())
         throw new IllegalArgumentException("non e' un rettangolo");
   }
}





