/**
  * Polygon.java
  * Definisce in modo astratto un poligono convesso
  * @autor A. Luchetta
  * @version 18-Nov-2006
*/
public interface Polygon extends Comparable<Polygon>
{
   /**
      Calcola il perimetro di un poligono
      @return perimetro del poligono
   */
   double perimeter();

   /**
      Calcola l'area di un poligono
      @return area del poligono
   */
   double area();
}
