/**
  * MySquare.java
  * rappresenta un quadrato.
  * @author A. Luchetta
  * @version 18-Nov-2006
  */
public class MySquare extends MyRectangle
{
   /**
      costruttore
      @param p array contenente i vertici del quadrato
   */
   public MySquare(MyPoint2D[] p)
   {
      super(p);
   }

   /**
      costruttore
      @param p1 primo vertice del quadrato
      @param p2 secondo vertice del quadrato
      @param p3 terzo vertice del quadrato
      @param p4 quarto vertice del quadrato
      @throws java.lang.IllegalArgumentException se il quadrilatero non e' un quadrato
   */
   public MySquare(MyPoint2D p1, MyPoint2D p2, MyPoint2D p3, MyPoint2D p4)
   {
      super(p1, p2, p3, p4);
      
      if (!isSquare())
         throw new IllegalArgumentException("non e' un quadrato");
   }
}





